Bug 1656778 (CVE-2018-19566) - CVE-2018-19566 dcraw: Heap buffer over-read in parse_tiff_ifd resulting in a denial of service or information leak
Summary: CVE-2018-19566 dcraw: Heap buffer over-read in parse_tiff_ifd resulting in a ...
Keywords:
Status: NEW
Alias: CVE-2018-19566
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1815228 1815229
Blocks: 1656781
TreeView+ depends on / blocked
 
Reported: 2018-12-06 10:01 UTC by Andrej Nemec
Modified: 2020-12-17 10:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Andrej Nemec 2018-12-06 10:01:33 UTC
A heap buffer over-read in parse_tiff_ifd in dcraw through 9.28 could be used by attackers able to supply malicious files to crash an application that bundles the dcraw code or leak private information.

References:

https://seclists.org/oss-sec/2018/q4/165
https://seclists.org/oss-sec/2018/q4/171


Note You need to log in before you can comment on or make changes to this bug.